Subject: bug#7046: More info

From: Alan Third <[email-masked]>
Date: Mon, 30 Dec 2019 14:05:03 +0000

Johan Bockgård <[email-masked]> writes:

> Gord Wait <[email-masked]> writes:
>
>> It seems to be dependent on how many repeats I select. If I auto
>> repeat say 10 lines worth, It seems to be ok. If I auto repeat the
>> macro 1000 times, then it starts to skip every line at some point..
>
> next-line can move to the wrong column when point gets below the end of
> the window.
>
> The problem is in line-move-visual (i.e it only exists if the variable
> line-move-visual is non-nil),
>
>     ;; Otherwise, we should reset `temporary-goal-column'.
>     (let ((posn (posn-at-point)))
>       (cond
>        ;; Handle the `overflow-newline-into-fringe' case:
>        ((eq (nth 1 posn) 'right-fringe)
>         (setq temporary-goal-column (cons (- (window-width) 1) hscroll)))
>        ((car (posn-x-y posn))
>         (setq temporary-goal-column
>               (cons (/ (float (car (posn-x-y posn)))
>                        (frame-char-width)) hscroll)))))
>
> If the position is not visible in the window, posn-at-point returns nil
> and temporary-goal-column is not updated as it should.

I can't replicate this on Emacs 27 and it's been over 7 years since the
last bug report. Can anyone confirm whether it's still a problem?
-- 
Alan Third